Subject: Re: Adding headers and adding options to headers

From: Osman Khan <[email-masked]>
Date: Thu, 12 May 2016 02:37:41 +1000

I would like to raise some points here since multiple threads have come up recently regarding inserting extension headers by intermediate nodes (routers)
I have recently gone through an IPv6 rollout for a major mobile carrier and one of the challenges was deciding how much MSS to allocate to handsets during handset connectivity phase towards S/PGW (in IPv4 this used to be somewhere in the ~1400 byte territory)
However, despite knowing that extension headers are only to be inserted by end-hosts and not by intermediate nodes, there was/is still an uncertainty among carries on this point and is a cause of major concern - And it doesn't look like IETF has done much in this space in order to enforce what would be standardised approach for this?
In my opinion, leaving this point open would further weaken operators confidence in IPv6 so IETF should take a definitive and clear stance on whether this MUST or MUST NOT be allowed
Given the amount of legacy operating systems and the fact that we need a quick and easy path towards IPv6 for carriers, I personally think PMTUD and especially PLPMTUD type features would not be easy to add to host OSes making it more difficult to facilitate IPv6 transition.
In my opinion, insertion of extension header MUST NOT be allowed on intermediate nodes to clear all this ambiguity and have a clear way forward for implementations to proceed without doubts 

Regards,
Usman

> On 12 May 2016, at 2:15 AM, [email-masked] wrote:
> 
> Re: Adding headers and adding options to headers